REM 00-2mobi.vbs: Mass conversion of HTML Pages to Mobipocket
REM Version 0.1/03-FEB-2009
REM Released under the respective current version of the GPL by cklammer

Main()
WScript.Quit 0

Sub Main()
	Const ForReading = 1
	Const ForWriting = 2
	Const ForAppending = 8

	DIM booklistfile
	Dim book
	Dim bindestrich
	Dim author
	Dim title
	Dim opffile
	Dim opftemplate
	Dim opfcontent
	Dim opftemplatefile
	Dim opffilename

	Dim FSO
	Set FSO = CreateObject("Scripting.FileSystemObject")

	Dim oShell
	Set oShell = WScript.CreateObject ("WSCript.shell")

	Set opftemplatefile = FSO.OpenTextFile("00-template.opf", ForReading)
	opftemplate = opftemplatefile.Readline
	opftemplatefile.Close

	Set booklistfile = FSO.OpenTextFile("00-booklist.txt", ForReading)
	Do While (booklistfile.AtEndOfStream = False)
		book = booklistfile.Readline
		bindestrich = instr(book, " - ")
		if bindestrich = 0 or bindestrich = null then
			author = "Unknown"
			title = book
		else
			author = Trim(Left(book, bindestrich - 1))
			title = Trim(Right(book, Len(book) - bindestrich - Len(" - ") + 1))
		end if

		opfcontent = replace(opftemplate, "%1", title)
		opfcontent = replace(opfcontent,  "%2", author)
		opfcontent = replace(opfcontent,  "%3", book & ".html")

		opffilename = book & ".opf"
		Set opffile = FSO.CreateTextFile(opffilename, True)
		opffile.WriteLine(opfcontent)
		opffile.Close()

		oShell.run "mobigen " & """" & opffilename & """", 1, True
	Loop

	booklistfile.Close()
	Set FSO = Nothing
	Set oShell = Nothing
End Sub


