Main()
WScript.Quit 0

Sub DelFile (sFile)
	On Error Resume Next
	FSO.DeleteFile sFile, True
	If Err.Number <> 0 Then
		Wscript.Echo "Error deleting file: " & sFile & _
			vblf & "[" & Err.Number & "]" & Err.Description
	Else
		Wscript.Echo "Deleting file: " & sFile
	End If
End Sub

Sub GoSubFolders (objDir)
	If objDir <> "\System Volume Information" Then
	    MainSub objDir
	    For Each eFolder in objDir.SubFolders
		GoSubFolders eFolder
	    Next
	End If
End Sub

Function GetFolder (sFolder)
	On Error Resume Next
	set GetFolder = FSO.GetFolder(sFolder)
	If Err.Number <> 0 then
		Wscript.Echo "Error connecting to folder: " & sFolder & _
			vblf & "[" & Err.Number & "]" & Err.Description
		Wscript.Quit Err.Number
	End If
End Function

REM Sub MainSub (objDir)
	REM For Each eFile in objDir.Files
		REM If boolDelYounger = True Then
		    REM If DateDiff("s", eFile.DateLastModified, DelDate) <= 0 Then
			    REM DelFile eFile
rem WScript.Echo "Y Filedate: " & eFile.DateLastModified & "  DelDate: " & DelDate & "  DateDiff: " & DateDiff("s", eFile.DateLastModified, DelDate)
		    REM End If
		REM Else
		    REM If DateDiff("s", eFile.DateLastModified, DelDate) >= 0 Then
			    REM DelFile eFile
REM rem WScript.Echo "O Filedate: " & eFile.DateLastModified & "  DelDate: " & DelDate & "  DateDiff: " & DateDiff("s", eFile.DateLastModified, DelDate)
		    REM End If
		REM End If
	REM Next
REM End Sub

Sub Main()
	Const ForReading = 1
	Const ForWriting = 2
	Const ForAppending = 8

	DIM booklistfile
	Dim book
	Dim bindestrich
	Dim author
	Dim title
	Dim opffile
	Dim opftemplate
	Dim opfcontent
	Dim opftemplatefile
	Dim opffilename

	Dim FSO
	Set FSO = CreateObject("Scripting.FileSystemObject")

	Dim oShell
	Set oShell = WScript.CreateObject ("WSCript.shell")

	Set opftemplatefile = FSO.OpenTextFile("00-template.opf", ForReading)
	opftemplate = opftemplatefile.Readline
	opftemplatefile.Close

	Set booklistfile = FSO.OpenTextFile("00-booklist.txt", ForReading)
	Do While (booklistfile.AtEndOfStream = False)
		book = booklistfile.Readline
		bindestrich = instr(book, " - ")
		if bindestrich = 0 or bindestrich = null then
			author = "Unknown"
			title = book
		else
			author = Trim(Left(book, bindestrich - 1))
			title = Trim(Right(book, Len(book) - bindestrich - Len(" - ") + 1))
		end if

		opfcontent = replace(opftemplate, "%1", title)
		opfcontent = replace(opfcontent,  "%2", author)
		opfcontent = replace(opfcontent,  "%3", book & ".html")

		opffilename = book & ".opf"
		Set opffile = FSO.CreateTextFile(opffilename, True)
		opffile.WriteLine(opfcontent)
		opffile.Close()

		oShell.run "mobigen " & """" & opffilename & """", 1, True
	Loop

	booklistfile.Close()
	Set FSO = Nothing
	Set oShell = Nothing
End Sub


